From: Martin Kepplinger <martin.kepplinger@puri.sm>
Date: Wed, 28 Oct 2020 20:17:38 +0100
Subject: WIP hack arm64: dts: imx8mq-librem5: undo the reg_aud_1v8
 optimization

we should not need this!

it adds an unnecessary regulator
---
 arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi b/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
index ea3c1af..4e4a817 100644
--- a/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
+++ b/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
@@ -52,7 +52,7 @@ vol-up {
 		};
 	};
 
-	reg_aud_1v8: regulator-audio-1v8 {
+	reg_audio_pwr_en: regulator-audio-pwr-en {
 		compatible = "regulator-fixed";
 		pinctrl-names = "default";
 		pinctrl-0 = <&pinctrl_audiopwr>;
@@ -63,6 +63,14 @@ reg_aud_1v8: regulator-audio-1v8 {
 		enable-active-high;
 	};
 
+	reg_aud_1v8: regulator-audio-1v8 {
+		compatible = "regulator-fixed";
+		regulator-name = "AUD_1V8";
+		regulator-min-microvolt = <1800000>;
+		regulator-max-microvolt = <1800000>;
+		vin-supply = <&reg_audio_pwr_en>;
+	};
+
 	/*
 	 * the pinctrl for reg_csi_1v8 and reg_vcam_1v8 is added to the PMIC
 	 * since we can't have it twice in the 2 different regulator nodes.
